Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
line_item
List line item
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/line_item \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/line_item"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/line_item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "platform_id": "<string>",
        "tracking_category_ids": [
          "<string>"
        ],
        "parent_id": "<string>",
        "item_id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "quantity": 123,
        "unit_amount": 123,
        "tax_amount": 123,
        "discount_amount": 123,
        "sub_total": 123,
        "total_amount": 123,
        "tax_id": "<string>",
        "account_id": "<string>",
        "variant_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "item": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "code": "<string>",
            "sku": "<string>",
            "price": 123,
            "quantity_on_hand": 123,
            "is_bill_item": true,
            "bill_item": "<unknown>",
            "is_invoice_item": true,
            "invoice_item": "<unknown>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "variants": [
              {
                "rootfi_id": 123,
                "rootfi_created_at": "2023-11-07T05:31:56Z",
                "rootfi_updated_at": "2023-11-07T05:31:56Z",
                "platform_id": "<string>",
                "parent_id": "<string>",
                "name": "<string>",
                "sku": "<string>",
                "price": 123,
                "compare_at_price": 123,
                "attributes": "<unknown>"
              }
            ]
          }
        ],
        "tax": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "name": "<string>",
            "code": "<string>",
            "rate": 123,
            "tax_type": "<string>",
            "effective_tax_rate": 123,
            "total_tax_rate": 123,
            "components": "<unknown>",
            "jurisdiction": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "account": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "nominal_code": "<string>",
            "name": "<string>",
            "description": "<string>",
            "current_balance": 123,
            "sub_category": "<string>",
            "parent_account_id": "<string>",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "variant": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "parent_id": "<string>",
            "name": "<string>",
            "sku": "<string>",
            "price": 123,
            "compare_at_price": 123,
            "attributes": "<unknown>"
          }
        ]
      }
    ],
    "total_count": 123,
    "next": "<string>",
    "prev": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

expand
string

Comma-separated related resources to expand: item, tax, account, variant.

parent_id[eq]
string

Exact match on parent_id.

parent_id[in]
string

Comma-separated parent_id values (OR match).

parent_type[eq]
enum<string>

Exact match on parent_type.

Available options:
BILL,
INVOICE,
BILL_CREDIT_NOTE,
INVOICE_CREDIT_NOTE,
GOODS_RECEIPT_NOTE,
EXPENSE,
PURCHASE_ORDER,
SALES_ORDER,
CASH_REFUND,
CASH_SALE,
JOURNAL_ENTRY,
ORDER,
SUBSCRIPTION,
ESTIMATE
parent_type[in]
string

Comma-separated parent_type values (OR match).

item_id[eq]
string

Exact match on item_id.

item_id[in]
string

Comma-separated item_id values (OR match).

tax_id[eq]
string

Exact match on tax_id.

tax_id[in]
string

Comma-separated tax_id values (OR match).

account_id[eq]
string

Exact match on account_id.

account_id[in]
string

Comma-separated account_id values (OR match).

variant_id[eq]
string

Exact match on variant_id.

variant_id[in]
string

Comma-separated variant_id values (OR match).

name[eq]
string

Exact match on name.

name[in]
string

Comma-separated name values (OR match).

description[eq]
string

Exact match on description.

description[in]
string

Comma-separated description values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

created_at[eq]
string

Exact match on created_at.

created_at[in]
string

Comma-separated created_at values (OR match).

created_at[gte]
string

created_at greater-than-or-equal.

created_at[lte]
string

created_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of line_item.

data
object
required
request_id
string
required